Module javafx.controls
Package javafx.scene.control

# Enum Class TreeSortMode

java.lang.Object
java.lang.Enum<TreeSortMode>
javafx.scene.control.TreeSortMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeSortMode>`, `Constable`

public enum TreeSortMode extends Enum<TreeSortMode>
Specifies how the tree items in tree-like UI controls should be sorted.

Since:
  JavaFX 8.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_DESCENDANTS`
Default; sort all nodes.
`ONLY_FIRST_LEVEL`
Sort first level nodes only regardless of whether the root is actually being shown or not.

## Method Summary

Modifier and Type
Method
Description
`static TreeSortMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeSortMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL_DESCENDANTS

public static final TreeSortMode ALL_DESCENDANTS
Default; sort all nodes.

### ONLY_FIRST_LEVEL

public static final TreeSortMode ONLY_FIRST_LEVEL
Sort first level nodes only regardless of whether the root is actually being shown or not.

## Method Details

### values

public static TreeSortMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TreeSortMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null